# Created by pyp2rpm-3.3.2
%global pypi_name restructuredtext_lint
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        %mkrel 3
Summary:        reStructuredText linter
Group:          Development/Python
License:        Public Domain
URL:            https://github.com/twolfson/restructuredtext-lint
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
restructuredtext-lint reStructuredText_ linter_This was created out of
frustration with PyPI_; it sucks finding out your reST_ is invalid **after**
uploading it. It is being developed in junction with a Sublime Text_ linter...
_reStructuredText: .. _linter: .. _reST: reStructuredText_ .. _PyPI: ..
_Sublime Text:


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(docutils) < 1.0
Requires:       python3dist(docutils) >= 0.11
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
restructuredtext-lint reStructuredText_ linter_This was created out of
frustration with PyPI_; it sucks finding out your reST_ is invalid **after**
uploading it. It is being developed in junction with a Sublime Text_ linter...
_reStructuredText: .. _linter: .. _reST: reStructuredText_ .. _PyPI: ..
_Sublime Text:


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license UNLICENSE
%doc README.rst
%{_bindir}/restructuredtext-lint
%{_bindir}/rst-lint
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1535244
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.2.2-2.mga8
+ Revision: 1451642
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 kekepower <kekepower> 1.2.2-1.mga7
+ Revision: 1352638
- imported package python-restructuredtext_lint

